## moarvm 2015.11

=== 3rdparty/dyncall/CMakeLists.txt ===
# Package: dyncall
# File: CMakeLists.txt
# Description: DynCall Project cmake files
# License:
#
# Copyright (c) 2010 Daniel Adler <dadler@uni-goettingen.de>
# 
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

cmake_minimum_required (VERSION 2.6)
project(DynCall)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "dyncall enables dynamic invocation of machine-level function calls")
set(CPACK_PACKAGE_VENDOR "dyncall project")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/doc/Description.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/doc/License.txt")
if(APPLE)
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/doc/Description.txt")
endif(APPLE)
set(CPACK_PACKAGE_NAME "dyncall")
include(CPack)

# add cmake modules shipped with the package to cmake's module path.
# currently we have no use for this, but maybe later..
#set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/buildsys/cmake/Modules" "${CMAKE_MODULE_PATH}")


if(MSVC)
  enable_language(ASM_MASM)
  #if(CMAKE_SIZEOF_VOID_P MATCHES 8)
  #  set(CMAKE_ASM_COMPILER "ml64")
  #else()
  #  set(CMAKE_ASM_COMPILER "ml")
  #endif()
  #set(CMAKE_ASM_COMPILER_ARG1 "/c")
  #set(CMAKE_ASM_MASM_SOURCE_FILE_EXTENSIONS asm)
  #set(CMAKE_ASM_MASM_COMPILE_OBJECT "<CMAKE_ASM_MASM_COMPILER> <FLAGS> /c /Fo <OBJECT> <SOURCE>")
elseif(CMAKE_COMPILER_IS_GNUCC)
  # when used in shared libraries, -fPIC is required by several architectures
  # and platforms (observed on AMD64, Solaris/Sparc).
  # we enable it per default here.
  add_definitions("-fPIC")
  # enable gcc as front-end to assembler for .S files
  set(CMAKE_ASM_COMPILER "${CMAKE_C_COMPILER}")
  set(CMAKE_ASM_COMPILER_ARG1 "${CPPFLAGS} -c")
  enable_language(ASM)
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "SunPro")
  set(CMAKE_ASM_COMPILER "${CMAKE_C_COMPILER}")
  set(CMAKE_ASM_COMPILER_ARG1 "${CPPFLAGS} -c")
  enable_language(ASM)
endif()


add_subdirectory(dynload)
add_subdirectory(dyncall)
add_subdirectory(dyncallback)
add_subdirectory(doc/manual EXCLUDE_FROM_ALL)
add_subdirectory(test EXCLUDE_FROM_ALL)

# install cmake Find scripts (disabled per default)

option(INSTALL_CMAKE_MODULES "install cmake modules to locate dyncall" "NO")

if(INSTALL_CMAKE_MODULES)
file(GLOB INSTALL_CMAKE_MODULES_FILES buildsys/cmake/Modules/Find*.cmake)
install(FILES ${INSTALL_CMAKE_MODULES_FILES} DESTINATION ${CMAKE_ROOT}/Modules)
endif(INSTALL_CMAKE_MODULES)

=== 3rdparty/dyncall/test/CMakeLists.txt ===
include_directories(
  ${PROJECT_SOURCE_DIR}/dynload
  ${PROJECT_SOURCE_DIR}/dyncall
  ${PROJECT_SOURCE_DIR}/dyncallback
)
add_subdirectory(suite)
add_subdirectory(ellipsis)
add_subdirectory(suite2)
add_subdirectory(callf)
add_subdirectory(plain)
add_subdirectory(plain_c++)
add_subdirectory(suite3)
add_subdirectory(suite_floats)
add_subdirectory(callback_suite)
add_subdirectory(thunk)
add_subdirectory(malloc_wx)
add_subdirectory(callback_plain)
add_subdirectory(sharedlib)
add_subdirectory(nm)

if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86")
add_subdirectory(suite_x86win32fast)
add_subdirectory(suite_x86win32std)
add_subdirectory(suite2_x86win32fast)
add_subdirectory(suite2_x86win32std)
endif()

if(${UNIX})
add_subdirectory(syscall)
endif()

## moarvm 2015.06

=== debian/changelog ===
moarvm (2015.06-2) unstable; urgency=medium

  * control: add libkvm-dev Build-Depends for kfreebsd.
    Thanks to Tobias Leich

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Tue, 23 Jun 2015 18:43:30 +0200

moarvm (2015.06-1) unstable; urgency=medium

  [ Daniel Dehennin ]
  * Imported upstream version 2015.06
  * control: limit supported architectures to Intel, ARM and ppc
    (Closes: #789187)
  * Patches:
    * Updated for 2015.06
    + Added patch to support kfreebsd
  * README.source:
    * Explain source management with git-buildpackage
    * Document debian/changelog management with gbp-dch

  [ Paul Cochrane ]
  * Override the lintian RPATH check
  * README.source: minor textual corrections

  [ Dominique Dumont ]
  * copyright (Tx Ansgar):
    * corrected BSD variant of 2 files from 3rdparty directory
    * added © entry for file generated from Unicode Inc database
    * use a more accurate license keyword for BSD like license

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Mon, 22 Jun 2015 00:00:17 +0200

moarvm (2015.04-1) unstable; urgency=medium

  [ Paul Cochrane ]
  * Add initial notes about building moarvm package
  * Remove trailing whitespace
  * Patch Configure.pl to determine version string correctly

  [ Daniel Dehennin ]
  * Add description to quilt patch
  * Imported Upstream version 2015.04
  * Set maintainer to Debian Rakudo Maintainers

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sun, 26 Apr 2015 23:17:53 +0200

moarvm (2015.03-1) unstable; urgency=medium

  * Initial release (Closes: #750837)

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 14 Mar 2015 21:50:28 +0100

=== debian/control ===
Source: moarvm
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Dominique Dumont <dod@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               libatomic-ops-dev,
               libtommath-dev,
               libkvm-dev [kfreebsd-any],
               perl-doc
Standards-Version: 3.9.6
Homepage: http://moarvm.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
Vcs-Git: git://anonscm.debian.org/pkg-rakudo/pkg-moarvm.git

Package: moarvm
Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: virtual machine for Rakudo Perl 6 and NQP
 Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
 especially for Rakudo Perl 6 and the NQP Compiler Toolchain.

Package: moarvm-dbg
Section: debug
Priority: extra
Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
Depends: moarvm (= ${binary:Version}),
         ${misc:Depends}
Description: virtual machine for Rakudo Perl 6 and NQP - debug symbols
 Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
 especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
 .
 This package provides debugging symbols and a GDB helper.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS=
endif

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# Improve manpage from perldoc
MOAR_VERSION=$(shell cat VERSION)
MOAR_DATE=$(subst .,-, $(MOAR_VERSION))

# Package specific directory as libmoar is not versioned
# https://github.com/MoarVM/MoarVM/issues/74
MOAR_LIB_DIR=/usr/lib/moar

%:
	dh $@

override_dh_auto_configure:
	perl Configure.pl $(CROSS) \
		--prefix=/usr \
		--libdir=$(MOAR_LIB_DIR) \
		--debug \
		--has-libtommath \
		--has-libatomic_ops

override_dh_auto_build:
	perldoc -F -onroff -ddebian/moar.1 \
		-w center:MoarVM \
		-w "release:MoarVM-$(MOAR_VERSION)" \
		-w "date:$(MOAR_DATE)" \
		docs/moar.pod
	dh_auto_build -- NOISY=1

override_dh_strip:
	dh_strip --dbg-package=moarvm-dbg

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_strip build

## moarvm 2015.07

=== debian/changelog ===
moarvm (2015.07-1) unstable; urgency=medium

  * Imported Upstream version 2015.07
  * Enable mipsel architecture (Closes: #789187)
    Thanks to Arturo Borrero Gonzalez

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sun, 26 Jul 2015 15:19:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libatomic-ops-dev,
                libtommath-dev,
                libkvm-dev [kfreebsd-any],
+               libffi-dev [mipsel],
                perl-doc
 Standards-Version: 3.9.6
 Homepage: http://moarvm.org/
@@ -15,7 +16,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-rakudo/pkg-moarvm.git
 
 Package: moarvm
-Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
+Architecture: i386 amd64 arm64 armel armhf mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP
@@ -25,7 +26,7 @@
 Package: moarvm-dbg
 Section: debug
 Priority: extra
-Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
+Architecture: i386 amd64 arm64 armel armhf mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: moarvm (= ${binary:Version}),
          ${misc:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP - debug symbols

## moarvm 2015.11

=== debian/changelog ===
moarvm (2015.11-2) unstable; urgency=medium

  * control: removed mipsel from list of arch (Closes: #809207)

 -- Dominique Dumont <dod@debian.org>  Mon, 04 Jan 2016 20:56:08 +0100

moarvm (2015.11-1) unstable; urgency=medium

  [ Daniel Dehennin ]
  * Imported Upstream version 2015.10
  * Imported Upstream version 2015.11

  [ Dominique Dumont ]
  * Added patch to fix armhf build

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sun, 29 Nov 2015 22:14:56 +0100

moarvm (2015.09-3) unstable; urgency=medium

  * added patch to search ELF lib in /usr/lib/perl6 instead
    of /usr/share/perl6. rakudo must have a similar patch.
  * updated lintian-override for new lib install path

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Oct 2015 19:34:46 +0200

moarvm (2015.09-2) unstable; urgency=medium

  * control: Created moarvm-dev package to deliver headers files
    required to build rakudo

 -- Dominique Dumont <dod@debian.org>  Sat, 03 Oct 2015 21:00:15 +0200

moarvm (2015.09-1) unstable; urgency=medium

  * Imported Upstream version 2015.09

 -- Dominique Dumont <dod@debian.org>  Sat, 03 Oct 2015 12:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                libffi-dev [mipsel],
                perl-doc
 Standards-Version: 3.9.6
-Homepage: http://moarvm.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
 Vcs-Git: git://anonscm.debian.org/pkg-rakudo/pkg-moarvm.git
+Homepage: http://moarvm.org/
 
 Package: moarvm
-Architecture: i386 amd64 arm64 armel armhf mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
+Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP
@@ -24,9 +24,9 @@
  especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
 
 Package: moarvm-dbg
+Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Section: debug
 Priority: extra
-Architecture: i386 amd64 arm64 armel armhf mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: moarvm (= ${binary:Version}),
          ${misc:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP - debug symbols
@@ -34,3 +34,14 @@
  especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
  .
  This package provides debugging symbols and a GDB helper.
+
+Package: moarvm-dev
+Architecture: i386 amd64 arm64 armel armhf powerpc ppc64el kfreebsd-amd64 kfreebsd-i386 ppc64 x32
+Depends: moarvm (= ${binary:Version}),
+         ${misc:Depends}
+Description: development files for moarvm
+ Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
+ especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
+ .
+ This package contains the developments files required to
+ compile rakudo

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
+# -*- GNUmakefile -*-
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
@@ -22,6 +22,15 @@
 # https://github.com/MoarVM/MoarVM/issues/74
 MOAR_LIB_DIR=/usr/lib/moar
 
+# Limit libffi to architectures not supported by dyncall
+LIBFFI_ARCHES = mipsel
+
+ifneq (, $(filter $(DEB_BUILD_ARCH), $(LIBFFI_ARCHES)))
+LIBFFI	= --has-libffi
+else
+LIBFFI	=
+endif
+
 %:
 	dh $@
 
@@ -31,7 +40,8 @@
 		--libdir=$(MOAR_LIB_DIR) \
 		--debug \
 		--has-libtommath \
-		--has-libatomic_ops
+		--has-libatomic_ops \
+		$(LIBFFI)
 
 override_dh_auto_build:
 	perldoc -F -onroff -ddebian/moar.1 \

=== debian/watch ===
version=3

http://moarvm.org/releases/MoarVM-(.+)\.tar\.gz

## moarvm 2016.05

=== 3rdparty/dyncall/test/plain_c++/CMakeLists.txt ===
add_executable(plain_cxx test_main.cc)
target_link_libraries(plain_cxx dyncall_s)

## moarvm 2016.06+dfsg

=== debian/changelog ===
moarvm (2016.06+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2016.06+dfsg
    * removed libtommath source from package
  * patch out load step of libtommath objects during build
  * document status of convenience copies
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Jul 2016 10:39:25 +0200

moarvm (2016.05-3) unstable; urgency=medium

  * rules: use system libuv to compile
  * control: added Build-Depends on libuv1-dev
  * copyright: excludes libuv libtommath libatomics_ops copies
    (will be applied to next upstream release)
  * removed patch applied to excluded libuv

 -- Dominique Dumont <dod@debian.org>  Thu, 09 Jun 2016 18:20:24 +0200

moarvm (2016.05-2) unstable; urgency=medium

  * added lintian overrides for /usr/share/perl6/site/lib

 -- Dominique Dumont <dod@debian.org>  Thu, 02 Jun 2016 10:21:17 +0200

moarvm (2016.05-1) unstable; urgency=medium

  * Imported Upstream version 2016.05
  * let root write the doc file (Closes: #822834)
  * updated patch to search libraries in /usr/lib/perl6
    and /usr/share/perl6 (path set by upstream).

 -- Dominique Dumont <dod@debian.org>  Tue, 31 May 2016 13:45:58 +0200

moarvm (2016.04-1) unstable; urgency=medium

  * Imported Upstream version 2016.04
  * control: Standards-Version: '3.9.7' -> '3.9.8'

 -- Dominique Dumont <dod@debian.org>  Sat, 23 Apr 2016 15:36:04 +0200

moarvm (2016.03-1) unstable; urgency=medium

  * Imported Upstream version 2016.03
  * copyright: updated with cme
  * removed add-min-max-macro patch (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Apr 2016 11:51:34 +0200

moarvm (2016.02-1) unstable; urgency=medium

  * Imported Upstream version 2016.02
  * refreshed patch to port libuv to kfreebsd arch
  * control: updated Vcs-Git to use https (cme)
  * control: updated Standards-Version to 3.9.7 (cme)
  + added copyright tweaks files for cme update dpkg-copyright
  * updated debian/copyright with cme.

 -- Dominique Dumont <dod@debian.org>  Wed, 24 Feb 2016 11:55:56 +0100

moarvm (2015.12-1) unstable; urgency=medium

  * Imported Upstream version 2015.12
  * refreshed patch

 -- Dominique Dumont <dod@debian.org>  Wed, 13 Jan 2016 12:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libatomic-ops-dev,
+               libffi-dev [mipsel],
+               libkvm-dev [kfreebsd-any],
                libtommath-dev,
-               libkvm-dev [kfreebsd-any],
-               libffi-dev [mipsel],
+               libuv1-dev,
                perl-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
-Vcs-Git: git://anonscm.debian.org/pkg-rakudo/pkg-moarvm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/pkg-moarvm.git
 Homepage: http://moarvm.org/
 
 Package: moarvm

=== debian/rules ===
--- 
+++ 
@@ -40,15 +40,16 @@
 		--libdir=$(MOAR_LIB_DIR) \
 		--debug \
 		--has-libtommath \
+		--has-libuv \
 		--has-libatomic_ops \
 		$(LIBFFI)
 
 override_dh_auto_build:
-	perldoc -F -onroff -ddebian/moar.1 \
+	perldoc -F -onroff \
 		-w center:MoarVM \
 		-w "release:MoarVM-$(MOAR_VERSION)" \
 		-w "date:$(MOAR_DATE)" \
-		docs/moar.pod
+		docs/moar.pod > debian/moar.1
 	dh_auto_build -- NOISY=1
 
 override_dh_strip:

## moarvm 2016.12+dfsg

=== debian/changelog ===
moarvm (2016.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.12+dfsg
  * refreshed patch

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Dec 2016 13:43:16 +0100

moarvm (2016.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.11+dfsg
  * removed patches that are applied upstream
  * refreshed patch

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Nov 2016 13:18:29 +0100

moarvm (2016.10+dfsg-1) unstable; urgency=medium

  Many thanks to Tobias Leich (FROGGS) who did a terrific job
  porting moar on all architectures supported by Debian.
  * New upstream version 2016.10+dfsg
  * remove patches applied upstream
  + new patch: use ffi_arg type to fix powerpc build
    (Closes: #841343)
  + add patch to fix nqp tests on mips
  + added patch to fix build without dyncall source
  + added patch to fix s390x build
  * control:
    * enable s390x
    * enable mips mipsel mips64el (cf: #841346)
  * copyright: remove excluded dyncall (cme)

 -- Dominique Dumont <dod@debian.org>  Sat, 29 Oct 2016 18:25:01 +0200

moarvm (2016.09+dfsg-2) unstable; urgency=medium

  [ Daniel Dehennin ]
  * Use libffi for all architectures
  * New patch to fix libffi build
  * Import patch to fix build and tests on x32

  [ Dominique Dumont ]
  * added patch to fix floating point exception on armhf
  * imported patch to fix build tests on armhf

 -- Dominique Dumont <dod@debian.org>  Mon, 10 Oct 2016 09:06:44 +0200

moarvm (2016.09+dfsg-1) unstable; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2016.09+dfsg
  * Set moarvm-dbg as Multi-Arch: same
  * Fix dyncall headers installation when using libffi
  * Generate automatic dbgsym package

  [ Dominique Dumont ]
  * cme files:
    * set up auto clean up of extracted © statement
    * work-around licensecheck bug
  * copyright: refreshed with cme
  * control: removed moarvm-dbg package
  * rules: only "build" is needed in .PHONY

 -- Dominique Dumont <dod@debian.org>  Tue, 27 Sep 2016 09:09:23 +0200

moarvm (2016.07+dfsg-1) unstable; urgency=medium

  * Mangle debian version in debian/watch file
  * Update source management documentation
  * Delete copyright tweaks for removed 3party sources
  * Use HTTPs for debian/copyright Format URL
  * Add “+dfsg” to Debian package upstream version
  * Imported Upstream version 2016.07+dfsg
  * copyright: updated with cme
  * control: update Vcs-Browser URL to use HTTPs

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 23 Jul 2016 14:11:32 +0200

=== debian/control ===
Source: moarvm
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Dominique Dumont <dod@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               libatomic-ops-dev,
               libffi-dev,
               libkvm-dev [kfreebsd-any],
               libtommath-dev,
               libuv1-dev,
               perl-doc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/pkg-moarvm.git
Homepage: http://moarvm.org/

Package: moarvm
Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: virtual machine for Rakudo Perl 6 and NQP
 Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
 especially for Rakudo Perl 6 and the NQP Compiler Toolchain.

Package: moarvm-dev
Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
Depends: moarvm (= ${binary:Version}),
         libffi-dev,
         ${misc:Depends}
Description: development files for moarvm
 Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
 especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
 .
 This package contains the developments files required to
 compile rakudo

=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,6 @@
 # https://github.com/MoarVM/MoarVM/issues/74
 MOAR_LIB_DIR=/usr/lib/moar
 
-# Limit libffi to architectures not supported by dyncall
-LIBFFI_ARCHES = mipsel
-
-ifneq (, $(filter $(DEB_BUILD_ARCH), $(LIBFFI_ARCHES)))
-LIBFFI	= --has-libffi
-else
-LIBFFI	=
-endif
-
 %:
 	dh $@
 
@@ -42,7 +33,7 @@
 		--has-libtommath \
 		--has-libuv \
 		--has-libatomic_ops \
-		$(LIBFFI)
+		--has-libffi
 
 override_dh_auto_build:
 	perldoc -F -onroff \
@@ -53,6 +44,6 @@
 	dh_auto_build -- NOISY=1
 
 override_dh_strip:
-	dh_strip --dbg-package=moarvm-dbg
+	dh_strip --dbgsym-migration='moarvm-dbg (<< 2016.09)'
 
-.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_strip build
+.PHONY: build

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg" \
http://moarvm.org/releases/MoarVM-(.+)\.tar\.gz

## moarvm 2017.06+dfsg

=== debian/changelog ===
moarvm (2017.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.06+dfsg
  * Patch: refresh
  * control: bump Standards-Version to 4.0.0

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 24 Jun 2017 00:25:02 +0200

moarvm (2017.05+dfsg-1) experimental; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2017.05+dfsg
  * Patch: refresh
  * Add patch to restore RPATH to the link flags
  * copyright: update with cme update

 -- Dominique Dumont <dod@debian.org>  Tue, 23 May 2017 17:04:56 +0200

moarvm (2017.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.03+dfsg

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Mar 2017 13:51:56 +0200

moarvm (2017.02+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.02+dfsg
  * copyright: updated with cme dpkg update
  * removed obsolete fix-lib-install-dir patch
    and lintian overrides
  * rules: harden moar build

 -- Dominique Dumont <dod@debian.org>  Sun, 05 Mar 2017 16:03:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libtommath-dev,
                libuv1-dev,
                perl-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/pkg-moarvm.git
 Homepage: http://moarvm.org/
@@ -21,8 +21,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP
- Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
- especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
+ Short for “Metamodel On A Runtime”, MoarVM is a runtime built for the
+ 6model object system. It is primarily aimed at running NQP and Rakudo
+ Perl 6, but should be able to serve as a backend for any compilers
+ built using the NQP compiler toolchain.
 
 Package: moarvm-dev
 Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
@@ -30,8 +32,10 @@
          libffi-dev,
          ${misc:Depends}
 Description: development files for moarvm
- Short for “Metamodel On A Runtime”, MoarVM is a virtual machine built
- especially for Rakudo Perl 6 and the NQP Compiler Toolchain.
+ Short for “Metamodel On A Runtime”, MoarVM is a runtime built for the
+ 6model object system. It is primarily aimed at running NQP and Rakudo
+ Perl 6, but should be able to serve as a backend for any compilers
+ built using the NQP compiler toolchain.
  .
  This package contains the developments files required to
  compile rakudo

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 endif
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Improve manpage from perldoc
 MOAR_VERSION=$(shell cat VERSION)

## moarvm 2017.10+dfsg

=== debian/changelog ===
moarvm (2017.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.10+dfsg
  * fix syntax issue in fill.copyright.blanks.yml
  * control: declare compliance with policy 4.1.1

 -- Dominique Dumont <dod@debian.org>  Wed, 01 Nov 2017 18:26:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libtommath-dev,
                libuv1-dev,
                perl-doc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/pkg-moarvm.git
 Homepage: http://moarvm.org/

## moarvm 2018.03+dfsg

=== debian/changelog ===
moarvm (2018.03+dfsg-1) unstable; urgency=medium

  [ Robert Lemmen ]
  * patch nursery alignment for armhf
  * match libffi usage for s390x/ppc64

  [ Dominique Dumont ]
  * New upstream version 2018.03+dfsg
  * watch: search for .asc signature
  * control: update Vcs-Browser and Vcs-Git
  * update copyright (add 3rdparty/cmp)
  * update README.source (add 3rdparty/cmp)

 -- Dominique Dumont <dod@debian.org>  Tue, 03 Apr 2018 18:00:44 +0200

moarvm (2018.02+dfsg-2) unstable; urgency=medium

  * patch to fix big endian build for nqp
  * rules: harden build

 -- Dominique Dumont <dod@debian.org>  Thu, 15 Mar 2018 13:44:49 +0100

moarvm (2018.02+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.02+dfsg
  * watch:
    * check tarball signature
    * use https url
    * bump to version 4

 -- Dominique Dumont <dod@debian.org>  Fri, 23 Feb 2018 17:11:18 +0100

moarvm (2018.01+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.01+dfsg
  * fill.copyright.blanks: override 3rdparty/uthash.h license
  * refreshed copyright info with cme
  * control:
    * fix moarvm-dev dep list (Closes: #883599)
    * declare compliance with policy 4.1.3
    * depends on libuv1.* >= 1.18.0
  * rules:
    * fix PHONY build
    * pass -rpath with LDFLAGS
  * remove obsolete patches

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Feb 2018 18:33:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                libffi-dev,
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
-               libuv1-dev,
+               libuv1-dev (>= 1.18.0),
                perl-doc
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/pkg-moarvm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/pkg-moarvm.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
+Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: http://moarvm.org/
 
 Package: moarvm
@@ -28,9 +28,12 @@
 
 Package: moarvm-dev
 Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
-Depends: moarvm (= ${binary:Version}),
+Depends: ${misc:Depends},
+         libatomic-ops-dev,
          libffi-dev,
-         ${misc:Depends}
+         libtommath-dev,
+         libuv1-dev (>= 1.18.0),
+         moarvm (= ${binary:Version})
 Description: development files for moarvm
  Short for “Metamodel On A Runtime”, MoarVM is a runtime built for the
  6model object system. It is primarily aimed at running NQP and Rakudo

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,14 @@
 # Package specific directory as libmoar is not versioned
 # https://github.com/MoarVM/MoarVM/issues/74
 MOAR_LIB_DIR=/usr/lib/moar
+LDFLAGS += -Wl,-rpath=$(MOAR_LIB_DIR)
+
+.PHONY: build
+
+# This looks redundant with the implicit rule for %, but it isn't: .PHONY
+# is ignored for implicit rules, so we need a separate rule for build.
+build:
+	dh $@
 
 %:
 	dh $@
@@ -49,4 +57,3 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='moarvm-dbg (<< 2016.09)'
 
-.PHONY: build

## moarvm 2018.05+dfsg

=== debian/changelog ===
moarvm (2018.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.05+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Sat, 26 May 2018 13:15:27 +0200

moarvm (2018.04.1+dfsg-1) unstable; urgency=medium

  * add patch to fix validator problems on big endian (R#1711)
  * New upstream version 2018.04.1+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Apr 2018 08:27:59 +0200

moarvm (2018.04+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.04+dfsg
  * Remove patches now integrated upstream
  * Bump Standards-Version, add myself to uploaders

 -- Robert Lemmen <robertle@semistable.com>  Wed, 25 Apr 2018 17:28:45 +0200

## moarvm 2018.06+dfsg

=== debian/changelog ===
moarvm (2018.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.06+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Tue, 26 Jun 2018 20:36:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: moarvm
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
-           Dominique Dumont <dod@debian.org>
+           Dominique Dumont <dod@debian.org>,
+           Robert Lemmen <robertle@semistable.com>
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper (>= 9.20160114),
@@ -11,7 +12,7 @@
                libtommath-dev,
                libuv1-dev (>= 1.18.0),
                perl-doc
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: http://moarvm.org/

## moarvm 2018.12+dfsg

=== debian/changelog ===
moarvm (2018.12+dfsg-3) unstable; urgency=medium

  * add upstream patch to fix symbol collision
  * add patch to fix compat with new libtommath (Closes: #921769)
  * fix.scanned.copyright: don't tweak removed file
  * fill.copyright.blanks: don't fill for removed file
  * fill.copyright.blanks: rm moar.pod cleanup.
  * update debian/copyright (cme)
  * bump compat to 12
  * declare compliance with policy 4.1.4

 -- Dominique Dumont <dod@debian.org>  Sat, 09 Feb 2019 16:56:12 +0100

moarvm (2018.12+dfsg-2) unstable; urgency=medium

  * Backport a commit that fixes "Cannot declare pseudo-package GLOBAL"
  * Fix typo in debian/README.source

 -- Robert Lemmen <robertle@semistable.com>  Sat, 29 Dec 2018 22:34:31 +0100

moarvm (2018.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.12+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Sat, 22 Dec 2018 14:25:48 +0100

moarvm (2018.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.11+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Fri, 30 Nov 2018 20:04:30 +0100

moarvm (2018.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.10+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Thu, 15 Nov 2018 13:48:40 +0100

moarvm (2018.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.09+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Mon, 24 Sep 2018 08:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
            Robert Lemmen <robertle@semistable.com>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper (>= 12~),
                libatomic-ops-dev,
                libffi-dev,
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
                libuv1-dev (>= 1.18.0),
                perl-doc
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: http://moarvm.org/

## moarvm 2019.03+dfsg

=== debian/changelog ===
moarvm (2019.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.03+dfsg
  * Add myself to uploaders.
  * Refresh patches, and drop patches merged in the new release:
    - fix-for-new-ltm.patch: merged in new release.
    - fix-name-collision.patch: merged in new release.
    - fix_rakudo-build-failure-on-big-endian.diff: merged.
  * Install the new pkg-config file.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 11:43:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
            Dominique Dumont <dod@debian.org>,
-           Robert Lemmen <robertle@semistable.com>
+           Robert Lemmen <robertle@semistable.com>,
+           Mo Zhou <cdluminate@gmail.com>,
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper (>= 12~),

## moarvm 2019.11+dfsg

=== debian/changelog ===
moarvm (2019.11+dfsg-2build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:07:21 +0000

moarvm (2019.11+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:41:33 +0000

moarvm (2019.11+dfsg-2) unstable; urgency=medium

  * Update my mail address.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 Dec 2019 15:15:51 +0800

moarvm (2019.11+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.11+dfsg
  * Add patch to fix FTBFS with libtommath-dev (= 1.2.0).
  * override dh_missing to list missing files.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Dec 2019 13:45:42 +0800

moarvm (2019.07.1+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Bump Standards-Version to 4.4.0 (no change).
  * B-D on debhelper-compat (= 12) and deprecate d/compat.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 01:49:08 +0000

moarvm (2019.07.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.07.1+dfsg
  * Refresh patches.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 06:24:34 +0000

=== debian/control ===
Source: moarvm
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Dominique Dumont <dod@debian.org>,
           Robert Lemmen <robertle@semistable.com>,
           Mo Zhou <lumin@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libatomic-ops-dev,
               libffi-dev,
               libkvm-dev [kfreebsd-any],
               libtommath-dev,
               libuv1-dev (>= 1.18.0),
               perl-doc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
Homepage: http://moarvm.org/

Package: moarvm
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: virtual machine for Rakudo Perl 6 and NQP
 Short for “Metamodel On A Runtime”, MoarVM is a runtime built for the
 6model object system. It is primarily aimed at running NQP and Rakudo
 Perl 6, but should be able to serve as a backend for any compilers
 built using the NQP compiler toolchain.

Package: moarvm-dev
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
Depends: libatomic-ops-dev,
         libffi-dev,
         libtommath-dev,
         libuv1-dev (>= 1.18.0),
         moarvm (= ${binary:Version}),
         ${misc:Depends}
Description: development files for moarvm
 Short for “Metamodel On A Runtime”, MoarVM is a runtime built for the
 6model object system. It is primarily aimed at running NQP and Rakudo
 Perl 6, but should be able to serve as a backend for any compilers
 built using the NQP compiler toolchain.
 .
 This package contains the developments files required to
 compile rakudo

=== debian/rules ===
--- 
+++ 
@@ -57,3 +57,5 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='moarvm-dbg (<< 2016.09)'
 
+override_dh_missing:
+	dh_missing --list-missing

## moarvm 2020.02.1+dfsg

=== debian/changelog ===
moarvm (2020.02.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.02.1+dfsg
  * replace samcv key with Alexander Kiryuhin's
  * copyright: exclude 3rdparty/libatomicops
  * refreshed copyright
  * remove ftbs.patch (applied upstream)
  * control: declare compliance with policy 4.5.0

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2020 17:26:28 +0200

## moarvm 2020.06+dfsg

=== debian/changelog ===
moarvm (2020.06+dfsg-1build2) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Aug 2020 20:12:05 +0100

moarvm (2020.06+dfsg-1build1) groovy; urgency=medium

  * No change rebuild against new libffi ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Aug 2020 13:40:39 +0100

moarvm (2020.06+dfsg-1) unstable; urgency=medium

  * README.source: mention that librhash cannot replace sha1 lib
  * New upstream version 2020.06+dfsg

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Jun 2020 14:50:21 +0200

moarvm (2020.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.05+dfsg
    (Closes: #957554)

 -- Dominique Dumont <dod@debian.org>  Sun, 10 May 2020 14:56:55 +0200

=== debian/control ===
Source: moarvm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
           Dominique Dumont <dod@debian.org>,
           Robert Lemmen <robertle@semistable.com>,
           Mo Zhou <lumin@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libatomic-ops-dev,
               libffi-dev,
               libkvm-dev [kfreebsd-any],
               libtommath-dev,
               libuv1-dev (>= 1.18.0),
               perl-doc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
Homepage: http://moarvm.org/

Package: moarvm
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: virtual machine for Rakudo Perl 6 and NQP
 Short for "Metamodel On A Runtime", MoarVM is a modern virtual machine
 built for the Rakudo Raku (formerly Perl 6) compiler and the NQP Compiler
 Toolchain. MoarVM is used by the majority of Raku programmers.
 .
 Highlights include:
  * Great Unicode support, with strings represented at grapheme level
  * Dynamic analysis of running code to identify hot functions and loops,
    and perform a range of optimizations, including type specialization
    and inlining
  * Support for threads, a range of concurrency control constructs,
    and asynchronous sockets, timers, processes, and more
  * Generational, parallel, garbage collection
  * Support for numerous language features, including first class
    functions, exceptions, continuations, runtime loading of code,
    big integers and interfacing with native libraries

Package: moarvm-dev
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
Depends: libatomic-ops-dev,
         libffi-dev,
         libtommath-dev,
         libuv1-dev (>= 1.18.0),
         moarvm (= ${binary:Version}),
         ${misc:Depends}
Description: development files for moarvm
 Storing 'Short for "Metamodel On A Runtime", MoarVM is a modern virtual machine
 built for the Rakudo Raku (formerly Perl 6) compiler and the NQP Compiler
 Toolchain. MoarVM is used by the majority of Raku programmers.
 .
 This package contains the developments files required to
 compile Nqp and Rakudo.

## moarvm 2020.09+dfsg

=== debian/changelog ===
moarvm (2020.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.09+dfsg
  * use relative path target in install file
  * skip copyright scan on a file that contain misleading info.
  * refreshed copyright with cme

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Sep 2020 17:28:49 +0200

moarvm (2020.08+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Dominique Dumont ]
  * New upstream version 2020.08+dfsg

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Sep 2020 18:26:01 +0200

moarvm (2020.07+dfsg-1) experimental; urgency=medium

  * New upstream version 2020.07+dfsg

 -- Dominique Dumont <dod@debian.org>  Thu, 30 Jul 2020 15:10:07 +0200

## moarvm 2020.10+dfsg

=== debian/changelog ===
moarvm (2020.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.10+dfsg

 -- Dominique Dumont <dod@debian.org>  Sun, 01 Nov 2020 12:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: moarvm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
+Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
            Dominique Dumont <dod@debian.org>,
            Robert Lemmen <robertle@semistable.com>,
@@ -17,7 +16,7 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
-Homepage: http://moarvm.org/
+Homepage: https://moarvm.org/
 
 Package: moarvm
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32

=== debian/rules ===
--- 
+++ 
@@ -54,8 +54,5 @@
 		docs/moar.pod > debian/moar.1
 	dh_auto_build -- NOISY=1
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='moarvm-dbg (<< 2016.09)'
-
 override_dh_missing:
 	dh_missing --list-missing

## moarvm 2020.12+dfsg

=== debian/changelog ===
moarvm (2020.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.12+dfsg
  * control: set Rules-Requires-Root to no

 -- Dominique Dumont <dod@debian.org>  Thu, 07 Jan 2021 12:54:05 +0100

moarvm (2020.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.11+dfsg
  * declare compliance with policy 4.5.1

 -- Dominique Dumont <dod@debian.org>  Wed, 02 Dec 2020 11:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                libtommath-dev,
                libuv1-dev (>= 1.18.0),
                perl-doc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: https://moarvm.org/
+Rules-Requires-Root: no
 
 Package: moarvm
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32

## moarvm 2022.02+dfsg

=== src/strings/siphash/Makefile ===
all:
	echo "Testing unaligned reads" && gcc -O3 test.c -g -Wall -Wextra -ggdb -o siphashtest-unaligned -D MVM_CAN_UNALIGNED_INT64 -D MVM_CAN_UNALIGNED_INT32
	echo "Testing only aligned reads" && gcc -O3 test.c -g -Wall -Wextra -ggdb -o siphashtest-aligned
test:
	./siphashtest-unaligned
	./siphashtest-aligned

=== debian/changelog ===
moarvm (2022.02+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Feb 2022 21:44:01 -0500

moarvm (2022.02+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.02+dfsg
  * Also exclude 3rdparty/mimalloc from upstream source.
  * Disable building with mimalloc.
  * Refresh existing patches with quilt.

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Feb 2022 18:44:49 -0500

moarvm (2021.12+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:22:56 -0500

moarvm (2021.12+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2021.12+dfsg
  * Update upstream signing key.
  * Refresh existing patches with quilt.
  * Refresh d/copyright with cme update dpkg-copyright.

 -- Mo Zhou <lumin@debian.org>  Fri, 21 Jan 2022 11:17:16 -0500

moarvm (2021.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2021.09+dfsg
  * copyright:
    * exclude junit directory
    * updated with cme
  * copyright-scan-patterns: ignore more binary files
  * fix.scanned.copyright: resolve and/or issue
  * control:
    * bump debhelper to 13
    * Remove Robert from Uploaders (Closes: 994649)
    * declare compliance with policy 4.6.0
    * drop obsolete versioned dependencies

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Sep 2021 16:22:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
            Dominique Dumont <dod@debian.org>,
-           Robert Lemmen <robertle@semistable.com>,
            Mo Zhou <lumin@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libatomic-ops-dev,
                libffi-dev,
                libkvm-dev [kfreebsd-any],
                libtommath-dev,
-               libuv1-dev (>= 1.18.0),
+               libuv1-dev,
                perl-doc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: https://moarvm.org/
@@ -45,7 +44,7 @@
 Depends: libatomic-ops-dev,
          libffi-dev,
          libtommath-dev,
-         libuv1-dev (>= 1.18.0),
+         libuv1-dev,
          moarvm (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for moarvm

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg , pgpsigurlmangle=s/$/.asc/" \
https://moarvm.org/releases/MoarVM-(.+)\.tar\.gz

## moarvm 2022.04+dfsg

=== debian/changelog ===
moarvm (2022.04+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 May 2022 12:32:54 -0400

moarvm (2022.04+dfsg-1) experimental; urgency=medium

  * New upstream version 2022.04+dfsg

 -- Mo Zhou <lumin@debian.org>  Thu, 19 May 2022 21:18:36 -0400

moarvm (2022.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2022.03+dfsg
  * Add lintian overrides.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 Apr 2022 00:13:26 -0400
